import { Tile } from "@carbon/react";
import React from "react";
export const AppTeaserCard = (props) => {
    const gap = 1;
    return (React.createElement(Tile, { style: {
            gridColumn: props.grid?.column ?? 1,
            padding: "24px",
            height: "100%",
        } },
        React.createElement("div", { style: {
                display: "grid",
                gap: `${gap}em`,
                gridTemplateRows: `auto auto 1fr auto`,
                height: "100%",
            } },
            React.createElement("h2", null, props.title),
            props.description,
            React.createElement("img", { src: props.img.path, alt: props.img.altText, style: { alignSelf: "end", width: "100%" } }))));
};
